Page loading, please wait...



The page still doesn't show? Click here
 
BOM Home Biet-O-Matic Forum
  Watched TopicsWatched Topics     FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

Firefox-Erweiterung für Firefox 5 nutzbar?
Goto page 1, 2  Next
 
Post new topic   Reply to topic    Biet-O-Matic Forum Forum Index -> Patches, Mods & Tools
View previous topic :: View next topic  
Author Message
Anonymous
Guest





PostPosted: 16.06.2011 - 17:59    Post subject: Firefox-Erweiterung für Firefox 5 nutzbar? Reply with quote

Hallo,
da Mozilla die Versionspolitik für ihren Browser Firefox geändert hat stellt sich mir die Frage ob Biet-O-Matic schon mit den zukünftigen Versionen getestet und freigegeben worden ist (maxversion).

Nicht, dass in ein paar Wochen alle Nutzer, die immer mit der aktuellsten Firefox-Version unterwegs sind sich darüber ärgern, dass die Erweiterung nicht mehr läuft.
Back to top
B-O-M
Forum Admin
Forum Admin


Joined: 07 Sep 2004
Posts: 2152

PostPosted: 16.06.2011 - 18:15    Post subject: Reply with quote

Wer auf eine Applikation angewiesen ist sollte nicht das Betriebssystem (hier Browser) wechseln, bevor eine entsprechend angepasste Applikation verfügbar ist.

Wer's trotzdem macht, sollte nicht der Applikation die Schuld geben... sondern vielmehr abwarten, bis die Applikation entsprechend upgedatet wurde... oder selbst Hand anlegen, der Source liegt ja offen.

Unabhängig davon könnte man natürlich auch mal selbst mit dem Fx v5 Release Candidate testen und hier berichten.

Nobbi

_________________
kein Support per privatem Nachrichten-System oder eMail.
Back to top
View user's profile Send private message Visit poster's website
Mæster
Forum Admin
Forum Admin


Joined: 04 Sep 2004
Posts: 2105

PostPosted: 16.06.2011 - 20:43    Post subject: Reply with quote

Quote:
stellt sich mir die Frage ob Biet-O-Matic schon mit den zukünftigen Versionen getestet und freigegeben worden ist (maxversion).

Habe die maxVersion des Addons gerade auf Version 5.* hochgesetzt, wer will kann das Addon also selbst mit dem Release Candidate 5 testen - mir fehlt im Augenblick die Zeit dafür. Sollten Probleme auftreten, wäre eine entsprechende Rückmeldung natürlich förderlich.

_________________
Grusz,
Mæster.
Back to top
View user's profile Send private message Send e-mail AIM Address Yahoo Messenger
Anonymous
Guest





PostPosted: 21.06.2011 - 12:25    Post subject: Reply with quote

Mæster wrote:
Habe die maxVersion des Addons gerade auf Version 5.* hochgesetzt, wer will kann das Addon also selbst mit dem Release Candidate 5 testen - mir fehlt im Augenblick die Zeit dafür. Sollten Probleme auftreten, wäre eine entsprechende Rückmeldung natürlich förderlich.
Dann bekommt das Teil das aber nicht mit. Sad Weder mit dem automatischen Update, das als Standard gesetzt ist, noch wenn man mittels Rechtsklick Update aufruft tut sich da was.

Funktioniert der Update-Link nicht?



bid-o-matic_ff5_nicht.jpg
 Description:
 Filesize:  21.79 KB
 Viewed:  29685 Time(s)

bid-o-matic_ff5_nicht.jpg


Back to top
B-O-M
Forum Admin
Forum Admin


Joined: 07 Sep 2004
Posts: 2152

PostPosted: 21.06.2011 - 13:20    Post subject: Reply with quote

BOMF-Nutzer wrote:
Dann bekommt das Teil das aber nicht mit.

der Update-Link funktioniert und die Update-Info wurde auf Version 5.x erhöht.

vielleicht erfordert der Fx v5 aber noch weitere Änderungen ausser der Erhöhung der Versionsnummer...

... kannst du selbst ausprobieren, indem du einfach das XPI runterlädst, die max. Version im XPI hochsetzt und diese Version dann installierst.

hth,
Nobbi

_________________
kein Support per privatem Nachrichten-System oder eMail.
Back to top
View user's profile Send private message Visit poster's website
Anonymous
Guest





PostPosted: 21.06.2011 - 13:26    Post subject: Reply with quote

Der Einfachheit halber aus dem anderen Thread kopiert.

BOMF-Nutzer wrote:
Kann mir auch vorstellen warum, die Version die man jetzt von hier herunterladen kann und mit FF5 kompatibel ist hat 1.2 die alte 1.2.1, ist also höher. Sollte die aktuelle Version nicht eher 1.2.2 heißen.

Oder anders ausgedrückt, woher soll das Teil wissen, dass eine Version die numerisch niedriger ist die neuere Version ist. Du musst schon auch die Versionsnummer des Add-ons hochsetzen nicht nur die für Firefox

[edit by Admin: full quotes removed]



bid-o-matic_ff5_nicht.jpg
 Description:
 Filesize:  21.79 KB
 Viewed:  29660 Time(s)

bid-o-matic_ff5_nicht.jpg



bid-o-matic_ff5_nich1.2t.jpg
 Description:
 Filesize:  15.63 KB
 Viewed:  29660 Time(s)

bid-o-matic_ff5_nich1.2t.jpg


Back to top
B-O-M
Forum Admin
Forum Admin


Joined: 07 Sep 2004
Posts: 2152

PostPosted: 21.06.2011 - 13:46    Post subject: Reply with quote

BOMF-Nutzer wrote:
Oder anders ausgedrückt, woher soll das Teil wissen, dass eine Version die numerisch niedriger ist die neuere Version ist. Du musst schon auch die Versionsnummer des Add-ons hochsetzen nicht nur die für Firefox

ausschliesslich Mæster verwaltet das Fx Plugin.


N.

_________________
kein Support per privatem Nachrichten-System oder eMail.
Back to top
View user's profile Send private message Visit poster's website
Anonymous
Guest





PostPosted: 25.07.2011 - 01:55    Post subject: Reply with quote

hai BOM-Leute.

vielleicht sollte der Programmierer sich gleich mit FF6 beschäftigen. Smile
Mozilla hat den Upgrade-Takt von jährlich auf monatlich verkürzt. Sad

Okay, war nicht böse gemeint, ich wollte halt nur mal auf das Problem hinweisen.
Ich bin am Lernen von VisBas - es zieht sich. Deswegen fehlt mir leider der Überblick zum Helfen, ich täts gerne. HTML kann ich, javascript auch, mehr nicht. Das wird wohl nicht reichen.
Back to top
Anonymous
Guest





PostPosted: 25.07.2011 - 07:14    Post subject: Enter your phone number here Reply with quote

...lypô wrote:
vielleicht sollte der Programmierer sich gleich mit FF6 beschäftigen. Smile
Mozilla hat den Upgrade-Takt von jährlich auf monatlich verkürzt. Sad


Fast Wink, vor einem Monat hättest du Recht gehabt, da hieß Aurora (Firefox im Frühstadium) noch so, mittlerweile steht das Ding bei 7.0a2 (2011-07-24)


Leg dir schnellstens https://addons.mozilla.org/de/firefox/addon/add-on-compatibility-reporter/?src=api zu, dann funktioniert das Teil auch wenn es Inkompatibel meldet.

Ich hab's vorhin mal benutzt, ob die Meldungen hier ausgewertet werden weis ich nicht, aber was möglich ist wird damit in Firefox freigeschalten.



bid-o-matic_firefox_7.0a2.jpg
 Description:
 Filesize:  24.99 KB
 Viewed:  29383 Time(s)

bid-o-matic_firefox_7.0a2.jpg


Back to top
Anonymous
Guest





PostPosted: 25.07.2011 - 11:43    Post subject: Reply with quote

Himmel - Grundgütiger! Gerade habe ich auf dem Laptop den 6.0 installiert, jetzt kommst du mit 7.x an. Smile

Von Aurora hatte ich auch schon gehört, hatte mir vor einiger Zeit Miramar runter geladen, aber nicht installiert. Die Mozillianer scheinen im Moment etwas durchuzudrehen.

Beim 6er funktioniert das Teil so nicht, jetzt werde ich deine mal ausprobieren. Wenn's Probleme gibt, komme ich wieder.

Also danke, viele Grüße

...lypô
Back to top
Anonymous
Guest





PostPosted: 25.07.2011 - 12:22    Post subject: Enter your phone number here Reply with quote

...lypô wrote:
Die Mozillianer scheinen im Moment etwas durchuzudrehen.
Im Moment? das tun sie doch schon seit sie die ursprünglich mal richtigen Farbmanagementeinstellungen aus Performance-Gründen auf FALSCH gesetzt haben.

Firefox ist/wäre der einzige Browser der sowohl Bilder mit Profil als auch sRGB-Bilder ohne eingebettetes Profil richtig darstellen kann. Wenn man die Grundeinstellung denn auch bei

gfx.color_management.mode;1

belassen hätte statt auf 2 zu setzen, jetzt werden, in Grundeinstellung, nur noch die Bilder mit Profil durchs Colormanagemetn geschickt. Das Blöde daran, die meisten Kameras die JPEG ausspucken schreiben allenfalls sRGB in die EXIF, aber kein Profil rein. Bei einem WGM gibt's dann ohne Umstellung Bonbonfarben.

...lypô wrote:
Beim 6er funktioniert das Teil so nicht, jetzt werde ich deine mal ausprobieren. Wenn's Probleme gibt, komme ich wieder.


Kein Problem mit dem genannten Add-on geht's wieder. Wobei das nicht bei allen Add-ons funktioniert. HTML Validator geht z. B. nicht, weil der Entwickler seit die eine API geändert haben für jede Version von Firefox eine eigene Version kompilieren und bereitstellen muss. Betrifft aber nur mächtige Add-ons die ihren eigenen Binärcode mitbringen müssen. Der Entwickler von dem Teil dürfte aber deine Einschätzung von oben teilen.
Back to top
Anonymous
Guest





PostPosted: 25.07.2011 - 12:57    Post subject: Reply with quote

Öhm - Farbeinstellungen? Da war ich noch nie dran, bisher sah's immer okay aus ... wenn der Monitor richtig eingestellt ist, versteht sich. Viele Geräte stehen ja auf völlig abstrusen Werten.

Der Tip ist aber okay, ich war in Firefox'ns Registry eigentlich nur früher, als ich die Anzahl der möglichen Verbindungen höher setzte. Das ist nun aber wohl nicht mehr nötig.

Und im Vergleich kann ich nicht bestätigen, dass der 5er schneller ist als der 3.6.18. Der nämlich hat die Vorteile

1. eine eigene Rückgängig-Liste pro Tab
2. die Möglichkeit, zwei Schritte gleichzeitig zurück zu gehen, was bei Reload-Seiten unabdingbar ist.

Und deswegen verwende ich ihn so gerne, obwohl die neueren "schöner" aussehen udnd bestimmt auch andere Vorteile haben.
Back to top
Anonymous
Guest





PostPosted: 25.07.2011 - 14:09    Post subject: Enter your phone number here Reply with quote

...lypô wrote:
Öhm - Farbeinstellungen? Da war ich noch nie dran, bisher sah's immer okay aus ... wenn der Monitor richtig eingestellt ist, versteht sich. Viele Geräte stehen ja auf völlig abstrusen Werten.


Ja vor allem viel zu hell und dann wundern sie sich wenn's vom Bilderdienst Dunkelbild gibt.

Damit geht's bequemer

https://addons.mozilla.org/de/firefox/addon/color-management/

Das Problem tritt bei den modernen Wide Gamut Displays auf, die einen größeren Farbraum wie sRGB darstellen können, auch wenn sie völlig korrekt eingestellt sind, wie meiner der regelmäßig kalibriert und profiliert wird.

Zur Verdeutlichung mal den RGB-Wert 240-140-130 in vier verschiedenen Farbräumen.



Wenn ein Browser einfach nur den RGB-Wert auf den Bildschirm schiebt, ohne den Farbraum des Displays zu berücksichtigen, dann bekommt jemand mit einem Billigmonitor aus der Lidl-/Aldiramschkiste, die mittlerweile alle auf genau sRGB getrimmt sind, die Farbe korrekt angezeigt (Für ein korrektes Farbmanagement muss aber trotzdem das mitgelieferte Profil dem Gerät zugeordnet werden, wenn die CD damit eingespart wurde muss man dem Gerät das vorhandene sRGB zuweisen oder besser ein eigenes Profil erstellen. Wenn schon nicht anständig mit messen, dann doch wenigstens mit QuickMonitorprofile und Quickgamma kann dann auch nicht schaden. Windows 7 hat auch so ein Notprogramm eingebaut.). Wenn man jedoch, weil man gerne fotografiert einen anständigen Monitor auf dem Schreibtisch hat, der AdobeRGB oder eciRGB darstellen kann, dann verschieben sich die Farben, wenn das Programm die Farben ohne Farbmanagement einfach zum Bildschirm durchschiebt.

Zur Verdeutlichung, stell dir mal, stark vereinfacht, sRGB als Teilmenge von einem größeren Farbraum auf einem Zahlenstrahl vor, dann steht der große Farbraum Rechts und Links mehr oder weniger deutlich über. Alle Tonwerte einer Farbe werden nun gleichmäßig in 256 Abschnitte verteilt. Bei einem größeren Farbraum rutschen die Abstände weiter auseinander und der selbe RGB-Wert beschreibt jetzt plötzlich eine ganz andere Farbe.

Diese größeren Abstände sind übrigens auch der Grund warum man JPEG gefälligst in sRGB belässt, im größeren Farbraum kann Banding auftreten, dafür braucht's dann RAW oder 16-Bit-TIFF. 8-Bit und großer Farbraum ist Qualitätsmindernd, nicht Qualitätssteigernd.
Back to top
Mæster
Forum Admin
Forum Admin


Joined: 04 Sep 2004
Posts: 2105

PostPosted: 25.07.2011 - 19:42    Post subject: Reply with quote

Danke für die Info, hab' gerade offiziell die Kompatibilität auf Version 7.* hochgesetzt - das Addon sollte also auch ohne Erweiterungen wieder genommen werden.

Weckt mich, wenn FF8 rauskommt.

_________________
Grusz,
Mæster.
Back to top
View user's profile Send private message Send e-mail AIM Address Yahoo Messenger
Anonymous
Guest





PostPosted: 26.07.2011 - 10:04    Post subject: Enter your phone number here Reply with quote

Mæster wrote:
Danke für die Info, hab' gerade offiziell die Kompatibilität auf Version 7.* hochgesetzt - das Addon sollte also auch ohne Erweiterungen wieder genommen werden.

Weckt mich, wenn FF8 rauskommt.


Very Happy Very Happy Very Happy Du willst aber auch nichts verpassen. Very Happy Very Happy Very Happy

Du kannst dir aber auch schon mal den Wecker stellen (besser in Lightning oder Outlock einen wiederkehrenden Termin eintragen), Version 6 gibt's am 16. August und danach, wie du nachstehenden Meeting Notes und dem Link, wo du es schön grafisch dargestellt bekommst, alle 6 Wochen ein neues Release.

Firefox 8 ist übrigens schon da, nennt sich zur Zeit (Nightly und kommt bei mir garantiert nur in eine VM), das Teil wird am 16. August (oder kurz danach) zu Aurora, sechs Wochen später zu Beta und weitere sechs Wochen später zum Release.

Du kannst dir ja schon mal ein Script anlegen, das das die Versionsnummern hoch zählt und dann die passenden Versionen abschickt.

IMHO läuft das Teil ab Aurora, spätestens ab der Beta so stabil, dass man damit gut arbeiten kann, das Problem sind eigentlich nur die Add-ons, die teilweise derart hinterherhinken, dass dann künftig Add-ons upgedated werden wenn das übernächste Release da ist.

Im Prinzip wird ein Add-on Entwickler künftig schon beim Erscheinen der jeweils neuen Aurora nachsehen müssen ob sein Add-on noch läuft, damit es spätestens mit dem RC, ab dem auch die Ängstlicheren einsteigen, funktioniert. Der nötige Aufwand dazu hält sich in Grenzen, Aurora wird parallel installiert (vorzugsweise in eine VM, mindestens jedoch mit anderem Benutzer, damit nicht auf die selben Add-ons zugegriffen wird und nicht bei jedem Wechsel von Aurora zu Release und zurück die Überprüfungsorgie anläuft, davon abgesehen gibt es Add-ons die schaffen es dann jeweils die richtige Version zu holen, manche wechseln aber auch nur nach oben und nicht mehr zurück zu früheren Versionen) und hält sich automatisch frisch. Das sollte übrigens auch mit der Beta funktionieren, es gibt auch einen eigenen Beta-Channel, da muss man allerdings aufpassen die Beta möchte sich im Gegensatz zu Aurora direkt ins Firefoxverzeichnis installieren, was ja nicht Sinn der Sache ist, wenn man alle drei parallel haben möchte, also Pfad ändern und Beta ergänzen - Verknüpfungen sollte man auch sichern und getrennt halten, sonst weist der Link vom Desktop auf die Beta. Am Besten nach der Beta die aktuellen Release Version nochmal installieren und den Link zur Beta vorher mit Beta bezeichnen damit er nicht überschrieben werden kann. Man muss der Meute halt einfach ein paar Wochen voraus sein, der Aufwand ob man schon bei Aurora oder erst beim Firefox-Release wenn 'lästige' Anwender (die nörgeln spätestens ab RC) schreien wo die neue Version ist bleibt sich gleich. Im Gegenteil, macht man's bereits bei Aurora spart man sich unnötige Anworten im Forum Wink und gewinnt Zeit wenn man doch was ändern muss.

Dabei hast du noch Glück, andere trifft's viel härter, z.B. wenn man wie für den HTML-Validator Binärcode mitliefern muss, weil sich ein SGML-Parser und Tidy halt nur so mitliefern lassen, jedenfalls dann wenn er jede Website fix analysieren soll ohne als Ladebremse zu fungieren, da gibt's nicht so wirklich viele Alternativen zu kompiliertem C/C++ - doch eine fällt mir ein, aber ob ich zu der für stinknormale Anwendungen zurück möchte weis ich jetzt nicht, Assembler wäre auch eine fixe Angelegenheit Wink.

Jedenfalls findet das Teil das mit 5 funktioniert bei 6 und 7 plötzlich seine dynamic C-Library nicht mehr. Sad

Zitat Marc Gueury:

"In very short, it seems that Mozilla has decided to unfrozen their XPCOM interface. What it means more or less today is that the extension will need to be recompiled for each version of FF.

If you remember that the version will go out at a frenetic rythm... You see the problem that all binary extensions have today.

I am not sure of what strategy to use now."

Im Klartext heißt das, alle sechs Wochen für jedes neues Release eine neue Version kompilieren und ständig alle Versionen parallel bereit halten und pflegen, da kommt dann wirklich Freude auf.


---
Friday, 29 July
Next Week
Product Status Updates
Firefox Future (6, 7, Cool

Reminder week!

Reminder: The next migration day (and hence target for the next Firefox release) is August 16th (3 weeks!)

Reminder: Final beta / RC build is building next week
Remember, we need to frontload some beta work to hit final release dates
Reminder: We have a new release ready every 6 weeks, and I blogged about it.

http://blog.mozilla.com/channels/2011/07/18/every-six-weeks/


---

Hinweis zu Parallelinstallationen

Aurora benennt man am besten um -> Mozilla Firefox Aurora damit es sich auf dem Desktop bei den Anderen einsortiert.

gibt dann

Mozilla Firefox
Mozilla Firefox Beta
Mozilla Firefox Aurora

bzw. besser

Mozilla Firefox - Standard-User
Mozilla Firefox Beta - Beta-User
Mozilla Firefox Aurora - Aurora-User

mit ein wenig Hilfe von

h ttp://kb.mozillazine.org/Command_line_arguments

aufgepeppt damit sich nichts in die Quere kommt, Bookmarks, etc. lässt man synchroniseren.

So verträgt sich alles wunderbar nur gleichzeitig starten geht nicht (dazu muss man die Dinger jeweils in eine eigene VM packen), im Process Explorer heißt auch Aurora Firefox und mehr wie einmal läuft das Ding nicht.

Wer will kann das Ganze um Nightly ergänzen.

So kann man immer mit den aktuellsten Neuerungen und schnelleren Engines arbeiten und bei Bedarf, weil ein Add-on partout nicht mag, auf eine ältere Version zurückgreifen.

Für seine Add-ons sollte man eine Add-on-Sammlung anlegen und jeweils in einem Rutsch installieren.

----

Wie ich diesen Blödsinn mit zuviel externen Links hasse - also da oben das unnütze Leerzeichen rauswerfen.
Back to top
Display posts from previous:   
Post new topic   Reply to topic    Biet-O-Matic Forum Forum Index -> Patches, Mods & Tools All times are GMT + 1 Hour
Goto page 1, 2  Next
Page 1 of 2

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group